import type { IRushPlugin, RushSession, RushConfiguration } from '@rushstack/rush-sdk';
/**
 * @public
 */
export interface IAmazonS3ConfigurationJson {
    /**
     * (Required unless s3Endpoint is specified) The name of the bucket to use for build cache (e.g. "my-bucket").
     */
    s3Bucket?: string;
    /**
     * (Required unless s3Bucket is specified) The Amazon S3 endpoint of the bucket to use for build cache (e.g. "my-bucket.s3.us-east-2.amazonaws.com" or "http://localhost:9000").
     */
    s3Endpoint?: string;
    /**
     * The Amazon S3 region of the bucket to use for build cache (e.g. "us-east-1").
     */
    s3Region: string;
    /**
     * An optional prefix ("folder") for cache items.
     */
    s3Prefix?: string;
    /**
     * If set to true, allow writing to the cache. Defaults to false.
     */
    isCacheWriteAllowed?: boolean;
}
/**
 * @public
 */
export declare class RushAmazonS3BuildCachePlugin implements IRushPlugin {
    pluginName: string;
    apply(rushSession: RushSession, rushConfig: RushConfiguration): void;
}
//# sourceMappingURL=RushAmazonS3BuildCachePlugin.d.ts.map